# PCILUSetUseInPlace

Tells the system to do an in-place incomplete factorization. Collective on PC

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCILUSetUseInPlace(PC pc)

### Input Parameters

pc - the preconditioner context

### Options Database Key

-pc_ilu_in_place - Activates in-place factorization

### Notes

PCILUSetUseInPlace() is intended for use with matrix-free variants of Krylov methods, or when a different matrices are employed for the linear system and preconditioner, or with ASM preconditioning. Do NOT use this option if the linear system matrix also serves as the preconditioning matrix, since the factored matrix would then overwrite the original matrix.

Only works well with ILU(0).

### Keywords

PC, set, factorization, inplace, in-place, ILU

### See Also

PCLUSetUseInPlace()

Level:intermediate
Location:src/ksp/pc/impls/ilu/ilu.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages